# InnerMetaProperty Class Reference
[Common wrapper and helper classes]

Inheritance diagram for InnerMetaProperty:
[legend]

List of all members.

## Public Member Functions

| isBuildable ($array, $prefix=null)
| fillMapping (array $mapping)
| fillForm (Form $form, $prefix=null)
| fillQuery (InsertOrUpdateQuery $query, Prototyped $object)
| toValue (ProtoDAO $dao=null, $array, $prefix=null)
| getProto ()
| isFormless ()

## Static Public Member Functions

static | create ()

## Detailed Description

See also:
  LightMetaProperty

Definition at line 17 of file InnerMetaProperty.class.php.

## Member Function Documentation

static InnerMetaProperty::create | ( |  | ) | `[static]`

Returns:
  InnerMetaProperty

Reimplemented from LightMetaProperty.

Definition at line 22 of file InnerMetaProperty.class.php.

InnerMetaProperty::fillForm | ( | Form $ | form,
|  | $ | prefix = `null` |
| ) |  |  |

Returns:
  Form

Reimplemented from LightMetaProperty.

Definition at line 44 of file InnerMetaProperty.class.php.

References LightMetaProperty::getName(), and getProto().

Here is the call graph for this function:

InnerMetaProperty::fillMapping | ( | array $ | mapping | ) |

Reimplemented from LightMetaProperty.

Definition at line 32 of file InnerMetaProperty.class.php.

References getProto().

Here is the call graph for this function:

InnerMetaProperty::fillQuery | ( | InsertOrUpdateQuery $ | query,
|  | Prototyped $ | object |
| ) |  |  |

Returns:
  InsertOrUpdateQuery

Reimplemented from LightMetaProperty.

Definition at line 53 of file InnerMetaProperty.class.php.

References getProto().

Here is the call graph for this function:

InnerMetaProperty::getProto | ( |  | ) |

Returns:
  AbstractProtoClass

Definition at line 81 of file InnerMetaProperty.class.php.

Referenced by fillForm(), fillMapping(), and fillQuery().

InnerMetaProperty::isBuildable | ( | $ | array,
|  | $ | prefix = `null` |
| ) |  |  |

Reimplemented from LightMetaProperty.

Definition at line 27 of file InnerMetaProperty.class.php.

InnerMetaProperty::isFormless | ( |  | ) |

Reimplemented from LightMetaProperty.

Definition at line 86 of file InnerMetaProperty.class.php.

InnerMetaProperty::toValue | ( | ProtoDAO $ | dao = `null`,
|  | $ | array,
|  | $ | prefix = `null` |
| ) |  |  |

Reimplemented from LightMetaProperty.

Definition at line 65 of file InnerMetaProperty.class.php.

The documentation for this class was generated from the following file:

- main/Base/InnerMetaProperty.class.php